<template>
  <!-- <form @submit.prevent="handleSubmit">
    <div>
      <label for="author">Author:</label>
      <input id="author" type="text" v-model="comment.author" required>
    </div>
    <div>
      <label for="content">Content:</label>
      <textarea id="content" v-model="comment.content" required></textarea>
    </div>
    <button type="submit">Submit</button>
  </form> -->

  <div class="flex-grow-1 ms-3 mb-5">
    <div class="form-floating comment-compose mb-2">
      <textarea class="form-control w-100" placeholder="Leave a comment here" type="text" v-model="comment.content"
        style="height:2rem;"></textarea>
      <label for="my-comment-reply">Leave a comment here</label>
    </div>
    <div class="hstack justify-content-end">

      <button class="btn btn-sm nice-button ">Send</button>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { createComment } from '@/services/comment-service';
import type { Comment } from '@/entities';

const comment = ref<Comment>({
  author: '', content: '',
  date: 0
});

const handleSubmit = async () => {
  await createComment(comment.value);
  comment.value = {
    author: '',
    content: '',
    date: 0,
  };
};
</script>